ONVIF::PTZ::Types::MessageDescription(3)

NAME
ONVIF::PTZ::Types::MessageDescription

DESCRIPTION
Perl data type class for the XML Schema defined complexType MessageDescription from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Source

•   Key

•   Data

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::MessageDescription
   Source =>  { # ONVIF::PTZ::Types::ItemListDescription
     SimpleItemDescription => ,
     ElementItemDescription => ,
     Extension =>  { # ONVIF::PTZ::Types::ItemListDescriptionExtension
     },
   },
   Key =>  { # ONVIF::PTZ::Types::ItemListDescription
     SimpleItemDescription => ,
     ElementItemDescription => ,
     Extension =>  { # ONVIF::PTZ::Types::ItemListDescriptionExtension
     },
   },
   Data =>  { # ONVIF::PTZ::Types::ItemListDescription
     SimpleItemDescription => ,
     ElementItemDescription => ,
     Extension =>  { # ONVIF::PTZ::Types::ItemListDescriptionExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::MessageDescriptionExtension
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::PTZ::Types::MessageDescription::_MessageDescription::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   IsProperty

     Default is false.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL